## xevil 1.5.1e

=== Makefile ===
#### Makefile for XEvil.   
# Steve Hardt  
# hardts@mit.edu (valid until Nov. 1996)
# hardts@netscape.com
# hardts@alum.mit.edu
# http://graphics.lcs.mit.edu/~hardts

#### Defines that are applicable to makes on all architectures
SHELL		=	/bin/sh
TARGETS		=	xevil #xshow
DEBUG_OPT	=	-g#  #-DPRINT_ERRORS  
LINK_OPT	=	#-O

#SRC_DIR and WORK_DIR are only used for `make workdir`
SRC_DIR		= 	/mit/hardts/src/X/xevil1.4.9
WORK_DIR 	=	/tmp/hardts3

FILES		= 	*README*  \
			xevil.6 Makefile *.C *.h \
			bitmaps NOTES app-defaults CLASSES run

OBJS		=	physical.o actual.o game.o main.o intel.o locator.o world.o \
			ui.o coord.o area.o utils.o 
ARCHITECTURES	=	athena-sun4 athena-sun5 alpha decmips ds decstation \
			freebsd hp700 iris4d \
			jsc-sun4 i386-linux rsaix sun4 sun5 vision-sun4 
STRIP		=	strip


#### Other macros are defined in the Specific Architectures section below.



#### Attempt to guesss the host architecture using the HOSTYPE and hostype
# variables.  Then call self with the architecture name.
default:
	@if [ $${HOSTTYPE-bob} != bob ] ; then \
		archit=$$HOSTTYPE ; \
	elif [ $${hosttype-bob} != bob ] ; then \
		archit=$$hosttype ; \
	else  \
		archit=unknown ; \
	fi ; \
	if [ $$archit != unknown ] ; then \
		echo Making for $$archit ; \
		$(MAKE) $$archit ; \
	else \
		echo "Could not figure out host architecture." ; \
		echo "Type 'make <architecture>' where <architecture> is one of" ; \
		echo "{$(ARCHITECTURES)}" ; \
	fi ;



#### Specific architectures.  
## Feel free to modify one of these to accomodate your machine's configuration.
alpha:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm -ldnet_stub" \
	CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DPROTECTED_IS_PUBLIC -DSELECT_NEEDS_PROTOTYPES" \
	LINK_FLAGS="-static" \
	$(TARGETS)


athena-sun4:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm -lsocket -lnsl" \
CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DXEVIL_KEYSET=UIsun4 -DPROTECTED_IS_PUBLIC" \
INCL_DIRS="-I/usr/openwin/include -I/mit/gnu/lib" \
LIBS_DIRS="-L/usr/openwin/lib" \
$(TARGETS)
## NOTE: The -lsocket and -lnsl libraries are not necessary on many systems.

athena-sun5:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm -lsocket -lnsl" \
CFLAGS="-DXEVIL_KEYSET=UIsun4 -DPROTECTED_IS_PUBLIC" \
INCL_DIRS="-I/usr/openwin/include -I/mit/gnu/lib" \
LIBS_DIRS="-L/usr/openwin/lib" \
$(TARGETS)
## NOTE: The -lsocket and -lnsl libraries are not necessary on many systems.



decmips:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" \
INCL_DIRS="-I/mit/gnu/lib" \
CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DSELECT_NEEDS_PROTOTYPES" \
$(TARGETS)

decstation:
	@$(MAKE) decmips

ds:
	@$(MAKE) decmips


# The -DMSEC_PER_CLOCK=8 is kind of a hack, take it out if the game speed of 
# XEvil is all screwed up.
freebsd:
	@$(MAKE) CC="c++" \
CFLAGS="-DUSE_RANDOM -DPROTECTED_IS_PUBLIC -DMSEC_PER_CLOCK=8" \
INCL_DIRS=-I/usr/X11R6/include LIBS_DIRS=-L/usr/X11R6/lib \
LIBS="-lX11 -lm" $(TARGETS)



hp700:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" INCL_DIRS="" CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DMATH_H_IS_CC -DPROTECTED_IS_PUBLIC" \
$(TARGETS)


iris:
	@$(MAKE) CC="CC" CFLAGS="-32 -DXEVIL_KEYSET=UIiris -DNO_PRAGMAS" \
INCL_DIRS="" LIBS_DIRS="" LIBS="-lX11 -lm" LINK_FLAGS="-32" $(TARGETS)



iris4d:
	@$(MAKE) iris



jsc-sun4:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" \
CFLAGS="-DUSE_RANDOM -DCLOCKS_PER_SEC=1000000L" \
INCL_DIRS=-I/usr/local/X11R5/sun4/include \
LIBS_DIRS=-L/usr/local/X11R5/sun4/lib $(TARGETS)



i386-linux:
	@$(MAKE) CC="g++" CFLAGS="-DUSE_RANDOM -DPROTECTED_IS_PUBLIC" \
INCL_DIRS="" LIBS_DIRS="-L/usr/X11R6/lib" LIBS="-lX11 -lm" $(TARGETS)


rsaix: 
	@$(MAKE) CC="g++" CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DUSE_SELECT_H -DXEVIL_KEYSET=UIrsaix -DPROTECTED_IS_PUBLIC" \
LIBS="-lX11 -lm" INCL_DIRS="-I/usr/athena/include -I/mit/gnu/lib" \
LIBS_DIRS="-L/usr/athena/lib/shared" \
$(TARGETS)



sun4:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" \
CFLAGS="-DCLOCKS_PER_SEC=1000000L -DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DXEVIL_KEYSET=UIsun4 -DPROTECTED_IS_PUBLIC -DSELECT_NEEDS_PROTOTYPES" \
$(TARGETS)



sun5:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" \
CFLAGS="-DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DXEVIL_KEYSET=UIsun4 -DPROTECTED_IS_PUBLIC" \
INCL_DIRS="-I/usr/openwin/include" LIBS_DIRS="-L/usr/openwin/lib" \
$(TARGETS)



vision-sun4:
	@$(MAKE) CC="g++" LIBS="-lX11 -lm" \
CFLAGS="-DCLOCKS_PER_SEC=1000000L -DUSE_RANDOM -DRANDOM_NEEDS_PROTOTYPES -DXEVIL_KEYSET=UIsun4 -DPROTECTED_IS_PUBLIC" \
INCL_DIRS="-I/usr/openwin/include" \
$(TARGETS)



#### Executables
xevil: $(OBJS)
	$(CC) $(LINK_FLAGS) $(LINK_OPT) $(LIBS_DIRS) -o  xevil $(OBJS) $(LIBS)
#	$(STRIP) xevil

# This is a simple program to show a bitmap and mask with arbitrary foreground
# and background colors.  I used it to test many of the bitmaps.  It is not
# needed to compile or run xevil.
xshow: xshow.C
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) $(LIBS_DIRS) -o xshow xshow.C $(LIBS)



#### XEvil modules
utils.o: utils.C utils.h 
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o utils.o -c utils.C 

coord.o: coord.C utils.h coord.h 
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o coord.o -c coord.C 

area.o: area.C utils.h coord.h area.h 
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o area.o -c area.C 

world.o: world.C utils.h coord.h area.h world.h \
	bitmaps/world/world.bitmaps
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o world.o -c world.C 

intel.o: intel.C utils.h coord.h area.h world.h id.h intel.h actual.h\
	locator.h physical.h 
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o intel.o -c intel.C

locator.o: locator.C utils.h coord.h area.h world.h id.h intel.h \
	physical.h locator.h actual.h
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o locator.o -c locator.C

ui.o: ui.C utils.h coord.h area.h world.h id.h intel.h \
	physical.h locator.h ui.h bitmaps/ui/ui.bitmaps
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o ui.o -c ui.C 

physical.o: physical.C utils.h coord.h area.h world.h id.h intel.h \
	locator.h physical.h
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o physical.o -c physical.C 

actual.o: actual.C utils.h coord.h area.h world.h id.h intel.h \
	locator.h physical.h actual.h \
	bitmaps/altar_of_sin/altar_of_sin.bitmaps bitmaps/bomb/bomb.bitmaps \
	bitmaps/chainsaw/chainsaw.bitmaps bitmaps/enforcer/enforcer.bitmaps \
	bitmaps/f_thrower/f_thrower.bitmaps bitmaps/fireball/fireball.bitmaps \
	bitmaps/frog/frog.bitmaps bitmaps/frog_gun/frog_gun.bitmaps \
	bitmaps/frog_shell/frog_shell.bitmaps bitmaps/hero/hero.bitmaps \
	bitmaps/lance/lance.bitmaps bitmaps/lancer/lancer.bitmaps \
	bitmaps/laser/laser.bitmaps \
	bitmaps/m_gun/m_gun.bitmaps bitmaps/med_kit/med_kit.bitmaps \
	bitmaps/ninja/ninja.bitmaps bitmaps/pistol/pistol.bitmaps \
	bitmaps/rock/rock.bitmaps bitmaps/shell/shell.bitmaps \
	bitmaps/swap_shell/swap_shell.bitmaps bitmaps/swapper/swapper.bitmaps \
	bitmaps/alien/alien.bitmaps \
	bitmaps/weight/weight.bitmaps \
	bitmaps/launcher/launcher.bitmaps \
	bitmaps/missile/missile.bitmaps bitmaps/grenades/grenades.bitmaps \
	bitmaps/grenade/grenade.bitmaps \
	bitmaps/chopper_boy/chopper_boy.bitmaps \
	bitmaps/n_protection/n_protection.bitmaps \
	bitmaps/n_shield/n_shield.bitmaps \
	bitmaps/t_protection/t_protection.bitmaps \
	bitmaps/t_shield/t_shield.bitmaps \
	bitmaps/transmogifier/transmogifier.bitmaps bitmaps/xit/xit.bitmaps \
	bitmaps/flag/flag.bitmaps bitmaps/doppel/doppel.bitmaps \
	bitmaps/home/home.bitmaps bitmaps/trapdoor/trapdoor.bitmaps \
	bitmaps/lemming/lemming.bitmaps bitmaps/fire_demon/fire_demon.bitmaps \
	bitmaps/stars/stars.bitmaps bitmaps/star/star.bitmaps \
	bitmaps/walker/walker.bitmaps bitmaps/hugger/hugger.bitmaps
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o actual.o -c actual.C 

game.o: game.C utils.h coord.h area.h world.h id.h intel.h \
	physical.h actual.h locator.h ui.h game.h
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o game.o -c game.C 

# NOTE: Does not need actual.h
main.o: main.C utils.h coord.h area.h world.h id.h intel.h \
	physical.h locator.h ui.h game.h
	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o main.o -c main.C 


#.SUFFIXES: .C .o
#.C.o: $*.C
#	$(CC) $(DEBUG_OPT) $(CFLAGS) $(INCL_DIRS) -o $*.o -c $*.C 


## Remove executables and all junk.
clean:
	/bin/rm -f $(TARGETS) $(OBJS) core test test.o xshow.o xshow


## Make a distribution file.
dist:
	tar chf xevil`date +%m.%d.%y`.tar $(FILES)
	compress xevil`date +%m.%d.%y`.tar


## Make a shadow tree for the XEvil source.
workdir:
	@if test ! -d $(WORK_DIR); then \
		mkdir $(WORK_DIR); \
	else \
		echo $(WORK_DIR) already exists; \
	fi; \
	for filee in $(FILES); do \
		/bin/rm -f $(WORK_DIR)/$$filee; \
		ln -s $(SRC_DIR)/$$filee $(WORK_DIR); \
	done

## xevil 2.02r2

=== debian/changelog ===
xevil (2.02r2-11) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian Games team
    Closes: #1106700
  * d/control: Homepage belongs to source package information
  * Point watch file to Github which seems to be the better option
    than not working upstream site and asked upstream to use tags
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove article from synopsis
  * Propagate hardening options
  * Add desktop file
    Closes: #738062
  * Remove debian/menu since there is a desktop file now
  * d/copyright: review

  [ Helmut Grohne ]
  * Do not hard code the build architecture compiler
    Closes: #1010181

  [ Piotr Sokołowski ]
  * Fix build with clang
    Closes: #742968

 -- Andreas Tille <tille@debian.org>  Wed, 28 May 2025 07:48:33 +0200

xevil (2.02r2-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change debhelper compat from 5 to 11. (Closes: #965893)
    - Update debian/rules. (Closes: #998982)
    - Clean files by debian/clean
  * Change source package to DebSrc3.0 with quilt.
    - Split diff.gz to quilt patches.
  * debian/copyright: Change to dep5 machine-readable format.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Jan 2022 21:15:35 +0800

xevil (2.02r2-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed FTBFS with GCC 6 and higher. Thanks to Javier Serrano
    Polo <javier@jasp.net> for the patch. (Closes: #831104)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jun 2020 02:11:06 -0300

xevil (2.02r2-10) unstable; urgency=low

  * Fixed bug that sometimes prevented X resources from being read properly.
    Thank you, Rowan Vince, for finding the bug and providing a patch.
    (Closes: #622100)
  * Enabled parallel building in rules file when using DEB_BUILD_OPTIONS
  * Added Homepage field to control file
  * copyright file now points to GPL-2 instead of GPL
  * Explicitly state that package uses source format 1.0 by adding file
    debian/source/format
  * Added xevil.doc-base file to describe installed documentation
  * Set Standards Version to 3.9.2 (no changes)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 12 Apr 2011 21:54:00 -0700

xevil (2.02r2-9) unstable; urgency=low

  * changed several char * to const char * so xevil will compile with gcc 4.4+
    Removed -Wno-write-strings from rules file. No longer needed.
    (Closes: #560444)
  * Fixed watch file. Thanks to Daniel Leidert for helping me on the mailing
    list.
  * rules file no longer ignores make clean errors. Modified makefile to not
    report errors when attempting to remove non-existant files. Fixes lintian
    warning.
  * added ${misc:Depends} to control file. Fixes lintian warning. Now causes
    "dpkg-gencontrol: warning: unknown substitution variable ${misc:Depends}"
    instead.
  * both man pages - converted dashes (-) to hyphens (\-) where appropriate.
    Fixes lintain warning.
  * Set Standards Version to 3.8.3 (no changes)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 12 Jan 2010 12:37:00 -0800

xevil (2.02r2-8) unstable; urgency=low

  * Removed bashism from rule file (Closes: #459141)
  * Added menu and pixmap
  * renamed serverping to xevil-serverping
  * replaced dependency on transitional package x-dev with x11proto-core-dev
  * Set Standards-Version to 3.7.3 (modified menu to put xevil in
    Games/Action rather than Games/Arcade)
  * xevil-serverping no longer unnecessarily links against libXpm and libX11

 -- Brandon Barnes <winterknight@nerdshack.com>  Fri, 18 Jan 2008 01:22:00 -0800

xevil (2.02r2-7) unstable; urgency=low

  * Fixed broken network (Closes: #240311)
  * Hopefully, fixed munmap_chunk(): invalid pointer crash at startup
    which some users were experiencing.
  * Commented out assert that was causing early server abort in network
    games (Closes: #94326)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 22 May 2007 11:33:00 -0700

xevil (2.02r2-6) unstable; urgency=low

  * Removed forced license agreement before every play.
  * Added keyboard shortcuts for common menu items
  * Suppressed compiler white noise
  * Added some "witty" sayings and names
  * Added xevil man page
  * Minor, misc fixes/improvements

 -- Brandon Barnes <winterknight@nerdshack.com>  Sat, 20 Jan 2007 3:24:00 -0800

xevil (2.02r2-5) unstable; urgency=low

  * New Maintainer (Closes: #353389)

 -- Brandon Barnes <winterknight@nerdshack.com>  Sat, 16 Dec 2006 09:23:00 -0800

xevil (2.02r2-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353389); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #346813.
  * Fix build failure with g++ 4.1.  Thanks to Martin Michlmayr for
    the patch.  Closes: #356321.
  * Switch to debhelper 5.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 11 Mar 2006 23:38:44 +0100

xevil (2.02r2-3.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346813)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 16:57:12 +0100

xevil (2.02r2-3) unstable; urgency=low

  * Fix compilation with g++ 4.0 (Closes: #297848)

 -- Aaron Lehmann <aaronl@vitelus.com>  Fri, 22 Jul 2005 15:53:10 -0700

xevil (2.02r2-2) unstable; urgency=low

  * Fix a memory leak.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 21 Jun 2003 22:57:26 -0700

xevil (2.02r2-1) unstable; urgency=low

  * New upstream version. Nothing new, just merging.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 21 Jun 2003 22:18:34 -0700

xevil (2.02-6) unstable; urgency=low



=== debian/control ===
Source: xevil
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Brandon Barnes <winterknight@nerdshack.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxpm-dev,
 x11proto-core-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/xevil
Vcs-Git: https://salsa.debian.org/games-team/xevil.git
Homepage: https://www.xevil.com/
X-Style: black

Package: xevil
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: violent side-scrolling game for X
 XEvil is a 3rd person, side-view, fast-action,
 kill-them-before-they-kill-you game. Fight against either
 computer-controlled enemies, or another player.
 .
 You sinned in life. And now you must pay. Satan pits the recently
 deceased against each other to fight for rank in Hell. Your skill
 determines your fate for all eternity. This contest is known as XEvil.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBUG_OPT = -Wno-trigraphs -g

export FORCEHOSTTYPE=debian-linux
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBUG_OPT="$(DEBUG_OPT) $(CFLAGS)"

execute_after_dh_auto_clean:
	rm -rf x11/release

execute_before_dh_auto_install:
	mv x11/release/serverping x11/release/xevil-serverping
	cp x11/bitmaps/ui/xevil_icon.xpm x11/bitmaps/ui/xevil.xpm
	dh_auto_install

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/lvella/xevil/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Asked for tags in issue
# https://github.com/lvella/xevil/issues/9
